%global Vpath_utils 0.2.1
%global Vdhash 0.5.0
%global Vref_array 0.1.5
%global Vcollection 0.7.0
%global Vbasicobjects 0.1.1
%global Vini_config 1.3.1

Name:           ding-libs
Version:        0.6.1
Release:        45
Summary:        'Ding is not GLib' utility libraries
License:        GPLv3+ and LGPLv3+
URL:            https://pagure.io/SSSD/ding-libs
Source0:        https://releases.pagure.org/SSSD/ding-libs/%{name}-%{version}.tar.gz
Patch0:         INI-Silence-ini_augment-match-failures.patch
Patch1:         INI-Remove-definiton-of-TRACE_LEVEL.patch
Patch2:         INI-Fix-detection-of-error-messages.patch
Patch3:         TEST-validators_ut_check-Fix-fail-with-new-glibc.patch

BuildRequires:  autoconf,automake,check-devel,doxygen,gcc,libtool,m4,pkgconfig
Obsoletes:      libpath_utils = %{Vpath_utils}, libdhash = %{Vdhash}, libref_array = %{Vref_array}
Obsoletes:      libcollection = %{Vcollection}, libbasicobjects = %{Vbasicobjects}, libini_config = %{Vini_config}
Provides:       libpath_utils = %{Vpath_utils}, libdhash = %{Vdhash}, libref_array = %{Vref_array}
Provides:       libcollection = %{Vcollection}, libbasicobjects = %{Vbasicobjects}, libini_config = %{Vini_config}

%description
A meta-package that pulls in libcollection, libdhash, libini_config,
librefarray libbasicobjects, and libpath_utils.

%package devel
Summary:         Development files for ding-libs
Requires:        ding-libs = %{version}-%{release}
Provides:        libpath_utils-devel = %{Vpath_utils}, libdhash-devel = %{Vdhash}, libref_array-devel = %{Vref_array}
Provides:        libcollection-devel = %{Vcollection}, libbasicobjects-devel = %{Vbasicobjects}, libini_config-devel = %{Vini_config}
Obsoletes:       libpath_utils-devel = %{Vpath_utils}, libdhash-devel = %{Vdhash}, libref_array-devel = %{Vref_array}
Obsoletes:       libcollection-devel = %{Vcollection}, libbasicobjects-devel = %{Vbasicobjects}, libini_config-devel = %{Vini_config}

%description devel
This package provides development libraries and other development files.

%package_help

%prep
%autosetup -p1

autoreconf -fiv
%build
%configure
%make_build all docs

%check
make check

%install
%makeinstall

rm -rf %{buildroot}%{_docdir}/%{name}/{README.*,examples/*.c}

mkdir -p %{buildroot}%{_docdir}/%{name}-help/{libpath_utils,libdhash,libref_array,\
libcollection,libbasicobjects,libini_config}
cp -pr path_utils/{README.path_utils,doc/html} %{buildroot}%{_docdir}/%{name}-help/libpath_utils/
cp -pr dhash/{README.dhash,examples/*.c}       %{buildroot}%{_docdir}/%{name}-help/libdhash/
cp -pr refarray/{README.ref_array,doc/html}    %{buildroot}%{_docdir}/%{name}-help/libref_array/
cp -pr collection/doc/html     %{buildroot}%{_docdir}/%{name}-help/libcollection/
cp -pr basicobjects/doc/html   %{buildroot}%{_docdir}/%{name}-help/libbasicobjects/
cp -pr ini/doc/html            %{buildroot}%{_docdir}/%{name}-help/libini_config/

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc COPYING COPYING.LESSER
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.{a,la,so}
%{_libdir}/pkgconfig/*

%files help
%defattr(-,root,root)
%{_docdir}/%{name}-help/*

%changelog
* Wed Aug 17 2022 panxiaohe <panxh.life@foxmail.com> - 0.6.1-45
- add version check in Provides and Obsoletes for devel subpackage

* Tue Jun 14 2022 panxiaohe <panxh.life@foxmail.com> - 0.6.1-44
- modify license

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.6.1-43
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Fri Sep 06 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.6.1-42
- Package Init
